gnu.io

## Class CommPortIdentifier

- java.lang.Object
- - gnu.io.CommPortIdentifier

    public class CommPortIdentifier
    extends java.lang.Object

Since:
  JDK1.0

### Field Summary

Fields
`static int` `PORT_I2C`
`static int` `PORT_PARALLEL`
`static int` `PORT_RAW`
`static int` `PORT_RS485`
`static int` `PORT_SERIAL`

### Method Summary

Methods
`static void` `addPortName(java.lang.String s, int type, CommDriver c)`
`void` `addPortOwnershipListener(CommPortOwnershipListener c)`
`java.lang.String` `getCurrentOwner()`
`java.lang.String` `getName()`
`static CommPortIdentifier` `getPortIdentifier(CommPort p)`
`static CommPortIdentifier` `getPortIdentifier(java.lang.String s)`
`static java.util.Enumeration` `getPortIdentifiers()`
`int` `getPortType()`
`boolean` `isCurrentlyOwned()`
`CommPort` `open(java.io.FileDescriptor f)`
`CommPort` `open(java.lang.String TheOwner, int i)`
`void` `removePortOwnershipListener(CommPortOwnershipListener c)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PORT_SERIAL

    public static final int PORT_SERIAL

See Also:
  Constant Field Values

#### PORT_PARALLEL

    public static final int PORT_PARALLEL

See Also:
  Constant Field Values

#### PORT_I2C

    public static final int PORT_I2C

See Also:
  Constant Field Values

#### PORT_RS485

    public static final int PORT_RS485

See Also:
  Constant Field Values

#### PORT_RAW

    public static final int PORT_RAW

See Also:
  Constant Field Values

### Method Detail

#### addPortName

    public static void addPortName(java.lang.String s,
                   int type,
                   CommDriver c)

#### addPortOwnershipListener

    public void addPortOwnershipListener(CommPortOwnershipListener c)

#### getCurrentOwner

    public java.lang.String getCurrentOwner()

#### getName

    public java.lang.String getName()

#### getPortIdentifier

    public static CommPortIdentifier getPortIdentifier(java.lang.String s)
                                                throws NoSuchPortException

Throws:
  `NoSuchPortException`

#### getPortIdentifier

    public static CommPortIdentifier getPortIdentifier(CommPort p)
                                                throws NoSuchPortException

Throws:
  `NoSuchPortException`

#### getPortIdentifiers

    public static java.util.Enumeration getPortIdentifiers()

#### getPortType

    public int getPortType()

#### isCurrentlyOwned

    public boolean isCurrentlyOwned()

#### open

    public CommPort open(java.io.FileDescriptor f)
                  throws UnsupportedCommOperationException

Throws:
  `UnsupportedCommOperationException`

#### open

    public CommPort open(java.lang.String TheOwner,
                int i)
                  throws PortInUseException

Throws:
  `PortInUseException`

#### removePortOwnershipListener

    public void removePortOwnershipListener(CommPortOwnershipListener c)